/// <reference types="react" />
import { IconProps } from '../Icon/Icon';
export declare type Windows = {
    icon?: IconProps['name'];
    title: string;
};
export interface IModalContextProps {
    windows: Array<Windows>;
    addWindows(window: Windows): void;
    removeWindows(title: string): void;
    setActiveWindow(title: string): void;
    activeWindow?: string;
}
declare const ModalContext: import("react").Context<IModalContextProps>;
export default ModalContext;
